BLK_POST_RUNTIME_SUS(9)

NAME
blk_post_runtime_suspend - Post runtime suspend processing

SYNOPSIS

void blk_post_runtime_suspend(struct request_queue * q, int err);

ARGUMENTS

q
    the queue of the device

err
    return value of the device's runtime_suspend function

DESCRIPTION

Update the queue's runtime status according to the return value of the device's runtime suspend function and mark last busy for the device so that PM core will try to auto suspend the device at a later time.

This function should be called near the end of the device's runtime_suspend callback.

COPYRIGHT